<?xml version="1.0" encoding="UTF-8"?><operationtpl description="Генерация ключей и запроса на квалифицированный сертификат для юридического лица в соответствии с Федеральным законом от 06.04.2011 № 63-ФЗ “Об электронной подписи” и приказом ФСБ России от 27.12.11 № 795. Шаблон позволяет создавать ключевые контейнеры в форматах СКЗИ “Крипто-КОМ” и MS CSP" title="Генерация ключей и запроса на квалифицированный сертификат для юридического лица (e-Notary)" visible="0">
    <operation name="key-gen" obj="pki-key" title="{TXT:1279}" version="2.0">
        <windowtpl>
            <window header="{TXT:1511}" helpurl="help/html/12.html" name="types-containers" title="{TXT:1512}">
                <variant hided="true" id="1" variant_next_window="2">
                    <option class="change-options change-variant" filter="keycontainer" id="dn-types-containers" label="{TXT:1511}" opdisabled="false" suboptions="cryptocom:{TXT:1513}; msscp:{TXT:1805}" teg="select" text="{TXT:1805}" value="msscp">{TXT:1514}</option>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1515}" helpurl="help/html/12.html" name="container-path" title="{TXT:1516}">
                <variant id="1" subtitle="{TXT:1517}" variant_next_window="1">
                    <option class="change-options" id="dn-key-container-path" label="{TXT:1425}" notempty="true" oprequired="true" teg="folder" value="">{TXT:1426}</option>
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-key-path" label="{TXT:1428}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="false">{TXT:1428}</option>
                    <option class="change-options" depended_parent_id="dn-set-key-path" filter="" id="dn-key-gen" label="{TXT:1518}" opdisabled="false" suboptions="new-key:{TXT:1519}; exists-key:{TXT:1807}" teg="select" text="{TXT:1519}" value="new-key">{TXT:1520}</option>
                    <option class="change-options" depended_parent_id="dn-set-key-path" filter="keygenexists" id="dn-key-path" label="{TXT:1429}" notempty="true" oprequired="true" teg="file" value="">{TXT:1430}</option>
                    <option id="dn-set-key-path-end" teg="addition_end" value=""/>
                </variant>
                <variant id="2" subtitle="{TXT:1521}" variant_next_window="2">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-key-gen" label="{TXT:1522}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="true">{TXT:1522}</option>
                    <option class="change-options" depended_parent_id="dn-set-key-gen" filter="" id="dn-key-gen" label="{TXT:1518}" opdisabled="false" suboptions="new-key:{TXT:1523}; exists-key:{TXT:1806}" teg="select" text="{TXT:1523}" value="new-key">{TXT:1520}</option>
                    <option class="change-options" depended_parent_id="dn-set-key-gen" id="dn-key-container-name" label="{TXT:1524}" notempty="true" oprequired="true" teg="string" value="название контейнера с новыми ключами">{TXT:1525}</option>
                    <option id="dn-set-key-gen-end" teg="addition_end" value=""/>
                </variant>
                <variant id="3" variant_next_window="1"/>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1526}" helpurl="help/html/12.html" name="key-usage" title="{TXT:1527}">
                <variant close_function="ChoosePasswordVariant" cryptoapi="sc_javaapplet" id="1" open_function="LoadCSP" variant_next_window="1">
                    <option class="change-options" filter="" id="dn-csp" label="{TXT:1207}" opdisabled="false" teg="select" text="" value="">{TXT:1528}</option>
                    <option class="change-options" filter="" id="dn-algorithm-key-params" label="{TXT:1529}" opdisabled="false" teg="select" text="" value="">{TXT:1530}</option>
                    <option class="change-options-key-size" id="dn-key-size" label="{TXT:1531}" opdisabled="false" teg="key_size" value="256">{TXT:1532}</option>
                    <option class="change-options" filter="" id="dn-hash-algorithm" label="{TXT:1533}" opdisabled="false" teg="select" text="" value="">{TXT:1534}</option>
                </variant>
                <variant cryptoapi="ms_enroll" hided="true" id="2" open_function="LoadCSP" variant_next_window="3">
                    <option class="change-options" filter="" id="dn-csp" label="{TXT:1535}" opdisabled="false" teg="select" text="Signal-COM CPGOST Cryptographic Provider" value="75">{TXT:1536}</option>
                    <option class="change-options-key-usage" id="dn-key-usage" label="{TXT:1537}" opdisabled="false" teg="key_usage" value="2">{TXT:1538}</option>
                    <option class="change-options-key-size" id="dn-key-size" label="{TXT:1531}" opdisabled="false" teg="key_size" value="512">{TXT:1532}</option>
                    <option class="change-options" filter="" id="dn-hash-algorithm" label="{TXT:1533}" opdisabled="false" teg="select" text="ГОСТ Р 34.11-94" value="32798">{TXT:1534}</option>
                    <option class="change-options" id="dn-set-export-key" label="{TXT:1539}" opdisabled="false" opused="true" teg="r-checkbox" value="false">{TXT:1540}</option>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1541}" helpurl="help/html/12.html" name="strong-key" title="">
                <variant close_function="ChooseCertificateExtensionVariant" id="1" subtitle="{TXT:1542}" variant_next_window="1">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-strong-pse" label="{TXT:1543}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="false">{TXT:1544}</option>
                    <option class="" depended_parent_id="dn-set-strong-pse" id="dn-section-title-requirement-password" label="{TXT:1545}" teg="section_title" value="strong-pse"/>
                    <option class="" depended_parent_id="dn-set-strong-pse" id="dn-section-text-requirement-password" label="{TXT:1546}" teg="section_text" value=""/>
                    <option id="dn-set-strong-pse-end" teg="addition_end" value=""/>
                </variant>
                <variant id="2" subtitle="{TXT:1547}" variant_next_window="2">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-strong-key" label="{TXT:1543}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="">{TXT:1548}</option>
                    <option class="" depended_parent_id="dn-set-strong-key" id="dn-section-title-requirement-password" label="{TXT:1545}" teg="section_title" value="strong-pse"/>
                    <option class="" depended_parent_id="dn-set-strong-key" id="dn-section-text-requirement-password" label="{TXT:1546}" teg="section_text" value=""/>
                    <option id="dn-set-strong-key-end" teg="addition_end" value=""/>
                </variant>
                <variant close_function="ChooseCertificateExtensionVariant" hided="true" id="3" subtitle="{TXT:1542}" variant_next_window="1">
                    <option class="change-options" id="dn-set-strong-key" label="{TXT:1543}" opdisabled="false" teg="r-checkbox" value="false">{TXT:1544}</option>
                </variant>
                <variant close_function="ChooseCertificateExtensionVariant" hided="true" id="4" subtitle="{TXT:1549}" variant_next_window="1">
                    <option class="" id="dn-section-strong-key" label="{TXT:1201}" teg="section_title" value=""/>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1550}" helpurl="help/html/12.html" name="certificate-extension" title="{TXT:1551}">
                <variant id="1" variant_next_window="1">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-certificate-extension" label="{TXT:1552}" notempty="true" opdisabled="false" oprequired="true" teg="addition_start" value="true">{TXT:1553}</option>
                    <option class="change-options" depended_parent_id="dn-set-certificate-extension" filter="" id="dn-subject-sign-tool" label="{TXT:1028}" notempty="true" opdisabled="false" oprequired="true" suboptions_config="subjectsigntool.xml" teg="string" text="{TXT:1770}" value="{TXT:1770}">{TXT:1554}</option>
                    <option class="change-options" depended_parent_id="dn-set-certificate-extension" filter="" id="dn-cert-policy" label="{TXT:1555}" opdisabled="false" suboptions="KC1:KC 1; KC2:KC 2; KC3:KC 3" teg="select" text="KC 1" value="KC1">{TXT:1556}</option>
                    <option id="dn-set-certificate-extension-end" teg="addition_end" value=""/>
                </variant>
                <variant hided="true" id="2" variant_next_window="1">
                    <option class="" id="dn-section-certificate-extension" label="{TXT:1557}" teg="section_title" value=""/>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1025}" helpurl="help/html/12.html" name="extended-key-usage" title="{TXT:1558}">
                <variant hided="true" id="1" variant_next_window="1">
                    <option class="change-options-extended-key-usage" filter="oid" id="dn-extended-key-usage" label="{TXT:1559}" parent_id="dn-extended-key-usage" suboptions="1.3.6.1.5.5.7.3.2:{TXT:1468}:true:false:false;1.3.6.1.5.5.7.3.4:{TXT:1469}:true:true:false;1.3.6.1.5.5.7.3.1:{TXT:1470}:false:false:false;1.3.6.1.5.5.7.3.3:{TXT:1471}:false:false:false;1.3.6.1.5.5.7.3.8:{TXT:1472}:false:false:false" teg="extended_key_usage" value=""/>
                    <option class="add-extended-key-usage" id="dn-add-extended-key-usage" label="{TXT:1561}" opused="false" teg="add_extended_key_usage" value="">{TXT:1561}</option>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1562}" helpurl="help/html/12.html" name="distinguished_name" title="{TXT:1563}">
                <variant close_function="SelectVariantWindowByCryptoApi" id="1" variant_next_window="3">
                    <option class="load-field-by-certificate" id="dn-load-field-by-certificate" label="{TXT:1564}" opused="false" teg="load_field_by_certificate" value="">{TXT:1564}</option>
                    <option class="change-options" filter="" id="dn-common-name" label="{TXT:1565}" maxlength="1024" notempty="true" oid="2.5.4.3" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1566}</option>
                    <option class="change-options" filter="" id="dn-sur-name" label="{TXT:1601}" maxlength="1024" notempty="true" oid="2.5.4.4" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1602}</option>
                    <option class="change-options" filter="" id="dn-given-name" label="{TXT:1603}" maxlength="1024" notempty="true" oid="2.5.4.42" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1604}</option>
                    <option class="change-options" filter="" id="dn-organization" label="{TXT:1569}" maxlength="64" notempty="true" oid="2.5.4.10" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1570}</option>
                    <option class="change-options" filter="" id="dn-department" label="{TXT:1571}" maxlength="64" notempty="false" oid="2.5.4.11" opdisabled="false" oprequired="false" opused="false" teg="field" value="">{TXT:1572}</option>
                    <option class="change-options" filter="" id="dn-title" label="{TXT:1573}" maxlength="64" notempty="true" oid="2.5.4.12" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1574}</option>
                    <option class="change-options" filter="inn" id="dn-inn" label="{TXT:1581}" maxlength="12" notempty="true" oid="1.2.643.3.131.1.1" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1582}</option>
                    <option class="change-options" filter="ogrn" id="dn-ogrn" label="{TXT:1583}" maxlength="13" notempty="true" oid="1.2.643.100.1" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1584}</option>
                    <option class="change-options" filter="snils" id="dn-snils" label="{TXT:1587}" maxlength="11" notempty="true" oid="1.2.643.100.3" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1588}</option>
                    <option class="change-options" filter="email" id="dn-email" label="{TXT:1567}" maxlength="128" notempty="true" oid="1.2.840.113549.1.9.1" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1568}</option>
                    <option class="change-options" filter="country" id="dn-country" label="{TXT:1579}" maxlength="2" notempty="true" oid="2.5.4.6" opdisabled="false" oprequired="true" opused="false" teg="field" value="RU">{TXT:1580}</option>
                    <option class="change-options" filter="" id="dn-state" label="{TXT:1577}" maxlength="128" notempty="true" oid="2.5.4.8" opdisabled="false" oprequired="true" opused="false" suboptions_config="kladrrf.xml" teg="field" value="">{TXT:1578}</option>
                    <option class="change-options" filter="" id="dn-locality" label="{TXT:1575}" maxlength="128" notempty="true" oid="2.5.4.7" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1576}</option>
                    <option class="change-options" filter="" id="dn-street-address" label="{TXT:1605}" maxlength="128" notempty="true" oid="2.5.4.9" opdisabled="false" oprequired="true" opused="false" teg="field" value="">{TXT:1606}</option>
                    <option class="change-options" filter="" id="dn-unst-name" label="{TXT:1595}" maxlength="255" notempty="false" oid="1.2.840.113549.1.9.2" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1596}</option>
                    <option class="change-options" filter="ogrnip" id="dn-ogrn-ip" label="{TXT:1585}" maxlength="15" notempty="false" oid="1.2.643.100.5" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1586}</option>
                    <option class="change-options" filter="digits" id="dn-serial-number" label="{TXT:1589}" maxlength="4" notempty="false" oid="2.5.4.5" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1590}</option>
                    <option class="change-options" filter="" id="dn-pseudonym" label="{TXT:1593}" maxlength="128" notempty="false" oid="2.5.4.65" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1594}</option>
                    <option class="change-options" filter="" id="dn-post-address" label="{TXT:1591}" maxlength="180" notempty="false" oid="2.5.4.16" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1592}</option>
                    <option class="change-options" filter="digits" id="dn-rnc-fcc" label="{TXT:1597}" maxlength="10" notempty="false" oid="1.2.643.3.141.1.1" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1598}</option>
                    <option class="change-options" filter="digits" id="dn-kp-fcc" label="{TXT:1599}" maxlength="4" notempty="false" oid="1.2.643.3.141.1.2" opdisabled="false" oprequired="false" opused="true" teg="field" value="">{TXT:1600}</option>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1607}" helpurl="help/html/12.html" name="sign-request" title="{TXT:1608}">
                <variant close_function="CheckUpConformityPrivateKeyToCertificate" id="1" variant_next_window="1">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-sign-request" label="{TXT:1607}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="false">{TXT:1609}</option>
                    <option class="change-options" depended_parent_id="dn-set-sign-request" id="dn-sign-container-name" label="{TXT:1610}" notempty="true" oprequired="true" teg="folder" value="">{TXT:1611}</option>
                    <option class="change-options" depended_parent_id="dn-set-sign-request" id="dn-sign-cert-name" label="{TXT:1315}" notempty="true" oprequired="true" teg="file-view" value="">{TXT:1612}</option>
                    <option class="change-options addition" depended_parent_id="dn-set-sign-request" dependent_class="sub-dependent" id="dn-set-sign-key-name" label="{TXT:1428}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="false">{TXT:1428}</option>
                    <option class="change-options" depended_parent_id="dn-set-sign-key-name" id="dn-sign-key-name" label="{TXT:1429}" notempty="true" oprequired="true" teg="file" value="">{TXT:1430}</option>
                    <option id="dn-set-sign-key-name-end" teg="addition_end" value=""/>
                    <option id="dn-set-sign-request-end" teg="addition_end" value=""/>
                </variant>
                <variant id="2" variant_next_window="1">
                    <option class="" id="dn-section-sign-request" label="{TXT:1613}" teg="section_title" value=""/>
                </variant>
                <variant id="3" open_function="LoadCertificatesForSignRequest" variant_next_window="1">
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-sign-request" label="{TXT:1607}" notempty="true" opdisabled="false" oprequired="true" teg="addition_start" value="true">{TXT:1609}</option>
                    <option class="change-options" depended_parent_id="dn-set-sign-request" filter="" id="dn-sign-certs-list" label="{TXT:1614}" opdisabled="false" teg="select" text="Степанов Алексей Викторович" value="66:60:f3:a7:90:1a:9b:4b:29:0c:3c:3e:70:4d:41:32:e3:78:f6:bf">{TXT:1615}</option>
                    <option id="dn-set-sign-request-end" teg="addition_end" value=""/>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1616}" helpurl="help/html/12.html" name="save-request" title="{TXT:1617}">
                <variant id="1" variant_next_window="1">
                    <option class="change-options" id="dn-save-request-file" label="{TXT:1616}" notempty="true" oprequired="true" teg="file" value="C:\Users\Alexey\Desktop\!!RequestCERT\request.pem">{TXT:1618}</option>
                    <option class="" id="dn-section-print-request" label="{TXT:1619}" opused="false" teg="section_title" value=""/>
                    <option class="change-options" id="dn-set-print-request" label="{TXT:1620}" opdisabled="false" opused="false" teg="r-checkbox" value="true">{TXT:1621}</option>
                    <option class="" id="dn-section-send-mail-request" label="{TXT:1622}" opused="true" teg="section_title" value=""/>
                    <option class="change-options" id="dn-set-send-request" label="{TXT:1845}" opdisabled="false" opused="true" teg="r-checkbox" value="false">{TXT:1846}</option>
                    <option class="change-options addition" dependent_class="dependent" id="dn-set-send-mail-request" label="{TXT:1623}" notempty="false" opdisabled="false" oprequired="false" teg="addition_start" value="false">{TXT:1624}</option>
                    <option class="change-options" depended_parent_id="dn-set-send-mail-request" filter="email" id="dn-send-mail-address" label="{TXT:1625}" notempty="true" oprequired="true" teg="string" value="">{TXT:1626}</option>
                    <option class="change-options" depended_parent_id="dn-set-send-mail-request" id="dn-send-mail-subject" label="{TXT:1627}" notempty="true" oprequired="true" teg="string" value="">{TXT:1628}</option>
                    <option id="dn-set-send-mail-request-end" teg="addition_end" value=""/>
                </variant>
            </window>
        </windowtpl>
        <windowtpl>
            <window header="{TXT:1629}" helpurl="help/html/12.html" name="view-request-param" title="{TXT:1630}">
                <variant close_function="GenerateAndSaveRequest" id="1" open_function="ViewKeyGenParam" variant_next_window="1"/>
            </window>
        </windowtpl>
    </operation>
</operationtpl>
